//
//  CCHChikoo092TypeProtocol.h
//  Text
//
//  Created by Shlok Datye on 06.04.2013.
//  Copyright (c) 2013 Coding Turtle. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CCHSQLiteEnums.h"
#import "CCHSharedSmartListSheetComparisonRightViewController.h"
#import "CCHAbstractComparisonItemFilter.h"


@protocol CCHChikoo10TypeProtocol

- (NSString *)displayName;
- (SEL)tableColumnSortingSelector;
- (NSView *)newTableCellView;

- (Class)itemValueType; //“item” meaning CCHItem
- (CCHSQLiteColumnType)sqliteValueType; //the type of the value that will be stored in the SQLite database

- (id)sqliteObjectFromItemObject:(id)itemObject;
- (id)itemObjectFromSqliteObject:(id)sqliteObject;


- (Class)comparisonItemFilterClass;

//We should be able to pass in nil to get a sensible default right view controller.
//This method should also assert that the passed in filter, if not nil, has the correct class, as provided by the “comparisonItemFilterClass” method.
- (CCHSharedSmartListSheetComparisonRightViewController *)comparisonRightViewControllerForComparisonItemFilter:(CCHAbstractComparisonItemFilter *)comparisonItemFilter;

- (NSViewController *)attributesPaneViewController;

@end
