//
// CODDateTextFieldFormatter.h
// Chikoo
//
// Created on 25.04.2009.
// Copyright © 2009 Shlok Datye.
//

#import <Cocoa/Cocoa.h>


//A date formatter with the following features:
// * When the superclass fails to convert string to object, nil is returned (meaning that if something invalid is typed,
//   we simply get nil). Note that The Hit List seems to be doing the same thing, i.e., just deleting the whole thing if
//   something invalid is typed in as a date. The empty string falls under this.
// * nil is converted back to an empty string.
// * Provides on-the-fly disallowing of illegal or newline characters.

//Think of this date formatter as “GMT-only”: it shows and stores a date in the GMT time zone.
//(The date picker, on the other hand, has to be in local time zone so the correct date can have blue color.
//And the text field mediates between the two.)

@interface CODDateTextFieldFormatter : NSDateFormatter

@end
